<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("cCatalogo.php");
$oCatalogo = new cCatalogo();
//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar
class ElementoAutocompletar {
	var $value;
	var $label;
	var $catid;
	var $codbar;
	function __construct($label, $value,$catid,$codbar){
		$this->label = $label;
		$this->value = $value;
		$this->catid = $catid;
		$this->codbar = $codbar;
	}
}
$datoBuscar = '%'.$_GET["term"].'%';
$est=1;
$lim=12;
$rs=$oCatalogo->filtrar($datoBuscar,$codbar,$est,$lim);
//creo el array de los elementos sugeridos
$arrayElementos = array();
//bucle para meter todas las sugerencias de autocompletar en el array
while ($fila = mysqli_fetch_array($rs)){
	$largo=55;
	$producto=$fila["tb_producto_nom"];
	$n_producto=strlen($producto);
	$precio="S/. ".$fila["tb_catalogo_precos"];
	$n_precio=strlen($precio);
	
	$n_espacio=$largo-$n_producto-$n_precio-2;
	$espacio=" ".str_pad($ini,$n_espacio,"-")." ";
	$etiqueta= $producto." | ".$fila["tb_marca_nom"];
	array_push($arrayElementos, new ElementoAutocompletar($etiqueta, $fila["tb_producto_nom"],$fila["tb_catalogo_id"],$fila["tb_presentacion_codbar"]));
}
print_r(json_encode($arrayElementos));